### Method

# GObject Value dup_string

#### Declaration [src]

    gchar*
    g_value_dup_string (
      const GValue* value
    )

#### Description [src]

Get a copy the contents of a `G_TYPE_STRING` `GValue`.

#### Return value

Type: `gchar*`

A newly allocated copy of the string content of `value`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.